For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
        • V2 API
              • GETConvert Country State
              • GETGet Company Addresses
              • POSTCreate A Company Address
              • GETGet A Company Address
              • PUTUpdate A Company Address
              • DELDelete A Company Address
    • Closed Beta Programs
Dev Portal
LogoLogo
ArchiveB2B EditionV2 APIAddress

Get A Company Address

Deprecated
GET
https://api-b2b.bigcommerce.com/api/v2/io/companies/:companyId/addresses/:addressId
GET
/api/v2/io/companies/:companyId/addresses/:addressId
$curl https://api-b2b.bigcommerce.com/api/v2/io/companies/companyId/addresses/addressId \
> -H "authToken: <apiKey>"
1{
2 "code": 200,
3 "data": {
4 "addressId": "6",
5 "addressLine1": "123 Main Street",
6 "addressLine2": "Blvd",
7 "city": "Austin",
8 "country": {
9 "countryCode": "US",
10 "countryName": "United States"
11 },
12 "firstName": "Jane",
13 "isBilling": true,
14 "isDefaultBilling": true,
15 "isDefaultShipping": true,
16 "isShipping": true,
17 "lastName": "Doe",
18 "phoneNumber": "11111111111",
19 "state": {
20 "stateCode": "TX",
21 "stateName": "Texas"
22 },
23 "zipCode": "78751",
24 "channelId": "1",
25 "channelName": "test"
26 },
27 "message": "SUCCESS"
28}
Get an address for a company
Was this page helpful?
Previous

Create A Company Address

Next

Update A Company Address

Built with

Authentication

authTokenstring
API Key authentication via header

Path parameters

addressIdstringRequired
companyIdstringRequired

Headers

authTokenstringRequired
Auth token in header.

Response

Response success
codedouble
Response status code
dataobject
Response data
messagestring
Response message

Errors

404
Not Found Error